Delete customer (v2)
curl --request DELETE \
--url https://api.sandbox.cheqpay.mx/pos/v2/customers/{id}import requests
url = "https://api.sandbox.cheqpay.mx/pos/v2/customers/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.sandbox.cheqpay.mx/pos/v2/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "BAD_REQUEST",
"message": "Customer is already deleted"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Customer not found"
}
}{
"message": "Error message"
}Customer V2
Delete customer (v2)
Soft deletes a customer by setting their active status to false. The customer record is preserved for audit purposes.
DELETE
/
v2
/
customers
/
{id}
Delete customer (v2)
Path Parameters
Customer unique identifier
Response
Customer deleted successfully (no content)